%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname fattr
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Name:           rubygem-%{gemname}
Summary:        Fatter attribute for Ruby
Version:        1.0.3
Release:        3%{?dist}
Group:          Development/Languages
License:        GPLv2 or Ruby
URL:            http://rubyforge.org/projects/codeforpeople/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Source1:        http://codeforpeople.com/lib/license.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       rubygems
Requires:       ruby(abi) = 1.8
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
The fattr gem is a Fatter attribute for Ruby

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}/%{gemdir} \
            --force %{SOURCE0}

install -p -m 644 %{SOURCE1} %{buildroot}%{geminstdir}/

# Remove backup files
find %{buildroot}/%{geminstdir} -type f -name "*~" -delete

# Delete zero-length files
find %{buildroot}/%{geminstdir} -type f -size 0c -exec rm -rvf {} \;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{geminstdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{geminstdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{geminstdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{geminstdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/license.txt
%doc %{geminstdir}/README
%doc %{geminstdir}/README.tmpl
%doc %{geminstdir}/samples
%dir %{geminstdir}/
%{geminstdir}/lib
%{geminstdir}/*.rb
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Thu Aug 13 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-3
- Really fix license
- Include license

* Wed Aug 05 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-2
- Fix license (Ruby)
- Fix URL

* Tue Jul 28 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-1
- First build of this package
